.classnav{
    transition: 0.5s;
}
.classnav:hover{
    transform: translateY(-5px);
}

body{
    font-family: 'Poppins', sans-serif;
    background-color: #000;
    color: #fff;
}

.navbar{
    background-color: transparent;
}
.navbar-brand{
    color: #00ff99 !important;
    font-weight: 700;
    font-size: 22px;
}

.nav-link{
    color: gray !important;
    margin-left: 15px;
}

.hero{
    min-height: 100vh;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
}
/* background effect */
.hero::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0.1;
    z-index: 0;
}

.hero-content{
    position: relative;
    z-index: 2;
}

.hero h1{
    font-size: 3rem;
    font-weight: 700;
}

.hero span{
    color: #00ff99;
}

.btn-custom{
    background-color: #00ff99;
    color: #000;
    padding: 10px 30px;
    border-radius: 30px;
    font-weight: 600;
}

.btn-custom:hover{
    background-color: #00cc77;
}

.hero-img img{
    max-width: 100%;
}
/* Responsive */
@media (max-width: 992px){
    .hero{
        text-align: center;
    }
    .hero h1{
        font-size: 2.2rem;
    }
    .hero-img{
        margin-top: 30px;
    }
}


.skill-badge-nav{
  background-color: #1a1a1a;
  color: #00ff99;
  padding: 8px 14px;
  border-radius: 20px;
  font-weight: 500;
  transition: 0.3s;
}
.skill-badge-nav:hover{
  color: white;
}








/* section skills */
.skills-section{
  background-color: #000;
  color: #fff;
}

.skill-card{
  background: #111;
  border-radius: 20px;
  box-shadow: 0 0 20px rgba(0, 255, 153, 0.1);
  transition: 0.3s;
}

.skill-card:hover{
  transform: translateY(-5px);
  box-shadow: 0 0 25px rgba(0, 255, 153, 0.3);
}

.progress{
  height: 6px;
  background-color: #222;
}

.progress-bar{
  background-color: #00ff99 !important;
}

.skill-badge{
  background-color: #1a1a1a;
  color: #00ff99;
  padding: 8px 14px;
  border-radius: 20px;
  font-weight: 500;
  transition: 0.3s;
}

.skill-badge:hover{
  background-color: #00ff99;
  color: #000;
}



 




/* section service */
.service-card{
  background: #111;
  border-radius: 20px;
  transition: 0.4s;
}
.service-card:hover{
  transform: translateY(-4px);
}








/* project section */
.workCarousel .card{
  display: flex;
  flex-wrap: wrap;
 
  background-color: #111;
  color: #fff;
  border-radius: 20px;
  overflow: hidden;
  transition: 0.3s ease;
  box-shadow: 0 0 20px rgba(0,255,153,0.08);
}
.workCarousel .card:hover{
  transform: translateY(-4px);
}
.workCarousel .card-img-top{
  height: 230px;
  object-fit: cover;
  transition: 0.3s;
}
.workCarousel .card:hover .card-img-top{
  transform: scale(1.05);
}
.workCarousel .badge{
  background-color: #1a1a1a !important;
  color: #00ff99 !important;
  border-radius: 20px;
  padding: 6px 14px;
}
.workCarousel .btn-primary{
  background-color: #00ff99;
  border: none;
  color: #000;
  border-radius: 25px;
  padding: 6px 20px;
  font-weight: 600;
}
.project-animate {
  flex: 1 1 100%;
  max-width: 100%;
}
@media (min-width: 768px) and (max-width: 991px) {
  .project-animate {
    flex: 1 1 48%;
    max-width: 48%;
  }
}
@media (min-width: 992px) {
  .project-animate {
    flex: 1 1 32%;
    max-width: 32%;
  }
}







/* testimonial section */
.testimonial-card {
  border: 1px solid #222;
  border-radius: 15px;
  transition: 0.3s;
}

.testimonial-card:hover {
  border-color: #00ff99;
  transform: translateY(-8px);
  box-shadow: 0 0 20px rgba(0, 255, 136, 0.4);
}

.client-img {
  border: 2px solid #00ff99;
}







/* sectio Let's Work Together */
.contact-card{
  background: #0d0d0d;
  border-radius: 15px;
  border: 1px solid #00ff99;
  box-shadow: 0 0 20px rgba(0, 255, 136, 0.2);
}

.custom-input{
  background: transparent;
  border: 1px solid #00ff99;
  color: #fff;
}

.custom-input:focus{
  background: transparent;
  color: #fff;
  border-color: #00ff99;
  box-shadow: 0 0 10px #00ff99;
}

.btn-green{
  background: linear-gradient(45deg, #00ff99, #00cc6a);
  border: none;
  color: #000;
  font-weight: bold;
  border-radius: 30px;
  transition: 0.3s;
}

.btn-green:hover{
  box-shadow: 0 0 15px #00ff99;
  transform: scale(1.05);
}

.social-icon{
  width: 45px;
  height: 45px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #00ff99;
  border-radius: 50%;
  color: #00ff99;
  font-size: 20px;
  transition: 0.3s;
  text-decoration: none;
}

.social-icon:hover{
  background-color: #00ff99;
  color: #000;
  box-shadow: 0 0 15px #00ff99;
}

